// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: student.proto

package pl.piomin.services.grpc.account.model;

public final class AccountProto {
  private AccountProto() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  public interface AccountsOrBuilder extends
      // @@protoc_insertion_point(interface_extends:model.Accounts)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    java.util.List<pl.piomin.services.grpc.account.model.AccountProto.Account> 
        getAccountList();
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    pl.piomin.services.grpc.account.model.AccountProto.Account getAccount(int index);
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    int getAccountCount();
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    java.util.List<? extends pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder> 
        getAccountOrBuilderList();
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder getAccountOrBuilder(
        int index);
  }
  /**
   * Protobuf type {@code model.Accounts}
   */
  public  static final class Accounts extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:model.Accounts)
      AccountsOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use Accounts.newBuilder() to construct.
    private Accounts(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Accounts() {
      account_ = java.util.Collections.emptyList();
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new Accounts();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private Accounts(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                account_ = new java.util.ArrayList<pl.piomin.services.grpc.account.model.AccountProto.Account>();
                mutable_bitField0_ |= 0x00000001;
              }
              account_.add(
                  input.readMessage(pl.piomin.services.grpc.account.model.AccountProto.Account.parser(), extensionRegistry));
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        if (((mutable_bitField0_ & 0x00000001) != 0)) {
          account_ = java.util.Collections.unmodifiableList(account_);
        }
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Accounts_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Accounts_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              pl.piomin.services.grpc.account.model.AccountProto.Accounts.class, pl.piomin.services.grpc.account.model.AccountProto.Accounts.Builder.class);
    }

    public static final int ACCOUNT_FIELD_NUMBER = 1;
    private java.util.List<pl.piomin.services.grpc.account.model.AccountProto.Account> account_;
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    public java.util.List<pl.piomin.services.grpc.account.model.AccountProto.Account> getAccountList() {
      return account_;
    }
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    public java.util.List<? extends pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder> 
        getAccountOrBuilderList() {
      return account_;
    }
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    public int getAccountCount() {
      return account_.size();
    }
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    public pl.piomin.services.grpc.account.model.AccountProto.Account getAccount(int index) {
      return account_.get(index);
    }
    /**
     * <code>repeated .model.Account account = 1;</code>
     */
    public pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder getAccountOrBuilder(
        int index) {
      return account_.get(index);
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      for (int i = 0; i < account_.size(); i++) {
        output.writeMessage(1, account_.get(i));
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      for (int i = 0; i < account_.size(); i++) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, account_.get(i));
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof pl.piomin.services.grpc.account.model.AccountProto.Accounts)) {
        return super.equals(obj);
      }
      pl.piomin.services.grpc.account.model.AccountProto.Accounts other = (pl.piomin.services.grpc.account.model.AccountProto.Accounts) obj;

      if (!getAccountList()
          .equals(other.getAccountList())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (getAccountCount() > 0) {
        hash = (37 * hash) + ACCOUNT_FIELD_NUMBER;
        hash = (53 * hash) + getAccountList().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(pl.piomin.services.grpc.account.model.AccountProto.Accounts prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code model.Accounts}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:model.Accounts)
        pl.piomin.services.grpc.account.model.AccountProto.AccountsOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Accounts_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Accounts_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                pl.piomin.services.grpc.account.model.AccountProto.Accounts.class, pl.piomin.services.grpc.account.model.AccountProto.Accounts.Builder.class);
      }

      // Construct using pl.piomin.services.grpc.account.model.AccountProto.Accounts.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
          getAccountFieldBuilder();
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (accountBuilder_ == null) {
          account_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000001);
        } else {
          accountBuilder_.clear();
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Accounts_descriptor;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.AccountProto.Accounts getDefaultInstanceForType() {
        return pl.piomin.services.grpc.account.model.AccountProto.Accounts.getDefaultInstance();
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.AccountProto.Accounts build() {
        pl.piomin.services.grpc.account.model.AccountProto.Accounts result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.AccountProto.Accounts buildPartial() {
        pl.piomin.services.grpc.account.model.AccountProto.Accounts result = new pl.piomin.services.grpc.account.model.AccountProto.Accounts(this);
        int from_bitField0_ = bitField0_;
        if (accountBuilder_ == null) {
          if (((bitField0_ & 0x00000001) != 0)) {
            account_ = java.util.Collections.unmodifiableList(account_);
            bitField0_ = (bitField0_ & ~0x00000001);
          }
          result.account_ = account_;
        } else {
          result.account_ = accountBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof pl.piomin.services.grpc.account.model.AccountProto.Accounts) {
          return mergeFrom((pl.piomin.services.grpc.account.model.AccountProto.Accounts)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(pl.piomin.services.grpc.account.model.AccountProto.Accounts other) {
        if (other == pl.piomin.services.grpc.account.model.AccountProto.Accounts.getDefaultInstance()) return this;
        if (accountBuilder_ == null) {
          if (!other.account_.isEmpty()) {
            if (account_.isEmpty()) {
              account_ = other.account_;
              bitField0_ = (bitField0_ & ~0x00000001);
            } else {
              ensureAccountIsMutable();
              account_.addAll(other.account_);
            }
            onChanged();
          }
        } else {
          if (!other.account_.isEmpty()) {
            if (accountBuilder_.isEmpty()) {
              accountBuilder_.dispose();
              accountBuilder_ = null;
              account_ = other.account_;
              bitField0_ = (bitField0_ & ~0x00000001);
              accountBuilder_ = 
                com.google.protobuf.GeneratedMessageV3.alwaysUseFieldBuilders ?
                   getAccountFieldBuilder() : null;
            } else {
              accountBuilder_.addAllMessages(other.account_);
            }
          }
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        pl.piomin.services.grpc.account.model.AccountProto.Accounts parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (pl.piomin.services.grpc.account.model.AccountProto.Accounts) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private java.util.List<pl.piomin.services.grpc.account.model.AccountProto.Account> account_ =
        java.util.Collections.emptyList();
      private void ensureAccountIsMutable() {
        if (!((bitField0_ & 0x00000001) != 0)) {
          account_ = new java.util.ArrayList<pl.piomin.services.grpc.account.model.AccountProto.Account>(account_);
          bitField0_ |= 0x00000001;
         }
      }

      private com.google.protobuf.RepeatedFieldBuilderV3<
          pl.piomin.services.grpc.account.model.AccountProto.Account, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder, pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder> accountBuilder_;

      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public java.util.List<pl.piomin.services.grpc.account.model.AccountProto.Account> getAccountList() {
        if (accountBuilder_ == null) {
          return java.util.Collections.unmodifiableList(account_);
        } else {
          return accountBuilder_.getMessageList();
        }
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public int getAccountCount() {
        if (accountBuilder_ == null) {
          return account_.size();
        } else {
          return accountBuilder_.getCount();
        }
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.AccountProto.Account getAccount(int index) {
        if (accountBuilder_ == null) {
          return account_.get(index);
        } else {
          return accountBuilder_.getMessage(index);
        }
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder setAccount(
          int index, pl.piomin.services.grpc.account.model.AccountProto.Account value) {
        if (accountBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureAccountIsMutable();
          account_.set(index, value);
          onChanged();
        } else {
          accountBuilder_.setMessage(index, value);
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder setAccount(
          int index, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder builderForValue) {
        if (accountBuilder_ == null) {
          ensureAccountIsMutable();
          account_.set(index, builderForValue.build());
          onChanged();
        } else {
          accountBuilder_.setMessage(index, builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder addAccount(pl.piomin.services.grpc.account.model.AccountProto.Account value) {
        if (accountBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureAccountIsMutable();
          account_.add(value);
          onChanged();
        } else {
          accountBuilder_.addMessage(value);
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder addAccount(
          int index, pl.piomin.services.grpc.account.model.AccountProto.Account value) {
        if (accountBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureAccountIsMutable();
          account_.add(index, value);
          onChanged();
        } else {
          accountBuilder_.addMessage(index, value);
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder addAccount(
          pl.piomin.services.grpc.account.model.AccountProto.Account.Builder builderForValue) {
        if (accountBuilder_ == null) {
          ensureAccountIsMutable();
          account_.add(builderForValue.build());
          onChanged();
        } else {
          accountBuilder_.addMessage(builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder addAccount(
          int index, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder builderForValue) {
        if (accountBuilder_ == null) {
          ensureAccountIsMutable();
          account_.add(index, builderForValue.build());
          onChanged();
        } else {
          accountBuilder_.addMessage(index, builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder addAllAccount(
          java.lang.Iterable<? extends pl.piomin.services.grpc.account.model.AccountProto.Account> values) {
        if (accountBuilder_ == null) {
          ensureAccountIsMutable();
          com.google.protobuf.AbstractMessageLite.Builder.addAll(
              values, account_);
          onChanged();
        } else {
          accountBuilder_.addAllMessages(values);
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder clearAccount() {
        if (accountBuilder_ == null) {
          account_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000001);
          onChanged();
        } else {
          accountBuilder_.clear();
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public Builder removeAccount(int index) {
        if (accountBuilder_ == null) {
          ensureAccountIsMutable();
          account_.remove(index);
          onChanged();
        } else {
          accountBuilder_.remove(index);
        }
        return this;
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.AccountProto.Account.Builder getAccountBuilder(
          int index) {
        return getAccountFieldBuilder().getBuilder(index);
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder getAccountOrBuilder(
          int index) {
        if (accountBuilder_ == null) {
          return account_.get(index);  } else {
          return accountBuilder_.getMessageOrBuilder(index);
        }
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public java.util.List<? extends pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder> 
           getAccountOrBuilderList() {
        if (accountBuilder_ != null) {
          return accountBuilder_.getMessageOrBuilderList();
        } else {
          return java.util.Collections.unmodifiableList(account_);
        }
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.AccountProto.Account.Builder addAccountBuilder() {
        return getAccountFieldBuilder().addBuilder(
            pl.piomin.services.grpc.account.model.AccountProto.Account.getDefaultInstance());
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.AccountProto.Account.Builder addAccountBuilder(
          int index) {
        return getAccountFieldBuilder().addBuilder(
            index, pl.piomin.services.grpc.account.model.AccountProto.Account.getDefaultInstance());
      }
      /**
       * <code>repeated .model.Account account = 1;</code>
       */
      public java.util.List<pl.piomin.services.grpc.account.model.AccountProto.Account.Builder> 
           getAccountBuilderList() {
        return getAccountFieldBuilder().getBuilderList();
      }
      private com.google.protobuf.RepeatedFieldBuilderV3<
          pl.piomin.services.grpc.account.model.AccountProto.Account, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder, pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder> 
          getAccountFieldBuilder() {
        if (accountBuilder_ == null) {
          accountBuilder_ = new com.google.protobuf.RepeatedFieldBuilderV3<
              pl.piomin.services.grpc.account.model.AccountProto.Account, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder, pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder>(
                  account_,
                  ((bitField0_ & 0x00000001) != 0),
                  getParentForChildren(),
                  isClean());
          account_ = null;
        }
        return accountBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:model.Accounts)
    }

    // @@protoc_insertion_point(class_scope:model.Accounts)
    private static final pl.piomin.services.grpc.account.model.AccountProto.Accounts DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new pl.piomin.services.grpc.account.model.AccountProto.Accounts();
    }

    public static pl.piomin.services.grpc.account.model.AccountProto.Accounts getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Accounts>
        PARSER = new com.google.protobuf.AbstractParser<Accounts>() {
      @java.lang.Override
      public Accounts parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new Accounts(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Accounts> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Accounts> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public pl.piomin.services.grpc.account.model.AccountProto.Accounts getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface AccountOrBuilder extends
      // @@protoc_insertion_point(interface_extends:model.Account)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int32 id = 1;</code>
     * @return The id.
     */
    int getId();

    /**
     * <code>string number = 2;</code>
     * @return The number.
     */
    java.lang.String getNumber();
    /**
     * <code>string number = 2;</code>
     * @return The bytes for number.
     */
    com.google.protobuf.ByteString
        getNumberBytes();

    /**
     * <code>int32 customer_id = 3;</code>
     * @return The customerId.
     */
    int getCustomerId();
  }
  /**
   * Protobuf type {@code model.Account}
   */
  public  static final class Account extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:model.Account)
      AccountOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use Account.newBuilder() to construct.
    private Account(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Account() {
      number_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new Account();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private Account(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              id_ = input.readInt32();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              number_ = s;
              break;
            }
            case 24: {

              customerId_ = input.readInt32();
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Account_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Account_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              pl.piomin.services.grpc.account.model.AccountProto.Account.class, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder.class);
    }

    public static final int ID_FIELD_NUMBER = 1;
    private int id_;
    /**
     * <code>int32 id = 1;</code>
     * @return The id.
     */
    public int getId() {
      return id_;
    }

    public static final int NUMBER_FIELD_NUMBER = 2;
    private volatile java.lang.Object number_;
    /**
     * <code>string number = 2;</code>
     * @return The number.
     */
    public java.lang.String getNumber() {
      java.lang.Object ref = number_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        number_ = s;
        return s;
      }
    }
    /**
     * <code>string number = 2;</code>
     * @return The bytes for number.
     */
    public com.google.protobuf.ByteString
        getNumberBytes() {
      java.lang.Object ref = number_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        number_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int CUSTOMER_ID_FIELD_NUMBER = 3;
    private int customerId_;
    /**
     * <code>int32 customer_id = 3;</code>
     * @return The customerId.
     */
    public int getCustomerId() {
      return customerId_;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (id_ != 0) {
        output.writeInt32(1, id_);
      }
      if (!getNumberBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, number_);
      }
      if (customerId_ != 0) {
        output.writeInt32(3, customerId_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (id_ != 0) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, id_);
      }
      if (!getNumberBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, number_);
      }
      if (customerId_ != 0) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, customerId_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof pl.piomin.services.grpc.account.model.AccountProto.Account)) {
        return super.equals(obj);
      }
      pl.piomin.services.grpc.account.model.AccountProto.Account other = (pl.piomin.services.grpc.account.model.AccountProto.Account) obj;

      if (getId()
          != other.getId()) return false;
      if (!getNumber()
          .equals(other.getNumber())) return false;
      if (getCustomerId()
          != other.getCustomerId()) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + ID_FIELD_NUMBER;
      hash = (53 * hash) + getId();
      hash = (37 * hash) + NUMBER_FIELD_NUMBER;
      hash = (53 * hash) + getNumber().hashCode();
      hash = (37 * hash) + CUSTOMER_ID_FIELD_NUMBER;
      hash = (53 * hash) + getCustomerId();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.AccountProto.Account parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(pl.piomin.services.grpc.account.model.AccountProto.Account prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code model.Account}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:model.Account)
        pl.piomin.services.grpc.account.model.AccountProto.AccountOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Account_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Account_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                pl.piomin.services.grpc.account.model.AccountProto.Account.class, pl.piomin.services.grpc.account.model.AccountProto.Account.Builder.class);
      }

      // Construct using pl.piomin.services.grpc.account.model.AccountProto.Account.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        id_ = 0;

        number_ = "";

        customerId_ = 0;

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return pl.piomin.services.grpc.account.model.AccountProto.internal_static_model_Account_descriptor;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.AccountProto.Account getDefaultInstanceForType() {
        return pl.piomin.services.grpc.account.model.AccountProto.Account.getDefaultInstance();
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.AccountProto.Account build() {
        pl.piomin.services.grpc.account.model.AccountProto.Account result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.AccountProto.Account buildPartial() {
        pl.piomin.services.grpc.account.model.AccountProto.Account result = new pl.piomin.services.grpc.account.model.AccountProto.Account(this);
        result.id_ = id_;
        result.number_ = number_;
        result.customerId_ = customerId_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof pl.piomin.services.grpc.account.model.AccountProto.Account) {
          return mergeFrom((pl.piomin.services.grpc.account.model.AccountProto.Account)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(pl.piomin.services.grpc.account.model.AccountProto.Account other) {
        if (other == pl.piomin.services.grpc.account.model.AccountProto.Account.getDefaultInstance()) return this;
        if (other.getId() != 0) {
          setId(other.getId());
        }
        if (!other.getNumber().isEmpty()) {
          number_ = other.number_;
          onChanged();
        }
        if (other.getCustomerId() != 0) {
          setCustomerId(other.getCustomerId());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        pl.piomin.services.grpc.account.model.AccountProto.Account parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (pl.piomin.services.grpc.account.model.AccountProto.Account) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private int id_ ;
      /**
       * <code>int32 id = 1;</code>
       * @return The id.
       */
      public int getId() {
        return id_;
      }
      /**
       * <code>int32 id = 1;</code>
       * @param value The id to set.
       * @return This builder for chaining.
       */
      public Builder setId(int value) {
        
        id_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int32 id = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearId() {
        
        id_ = 0;
        onChanged();
        return this;
      }

      private java.lang.Object number_ = "";
      /**
       * <code>string number = 2;</code>
       * @return The number.
       */
      public java.lang.String getNumber() {
        java.lang.Object ref = number_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          number_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string number = 2;</code>
       * @return The bytes for number.
       */
      public com.google.protobuf.ByteString
          getNumberBytes() {
        java.lang.Object ref = number_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          number_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string number = 2;</code>
       * @param value The number to set.
       * @return This builder for chaining.
       */
      public Builder setNumber(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        number_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string number = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearNumber() {
        
        number_ = getDefaultInstance().getNumber();
        onChanged();
        return this;
      }
      /**
       * <code>string number = 2;</code>
       * @param value The bytes for number to set.
       * @return This builder for chaining.
       */
      public Builder setNumberBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        number_ = value;
        onChanged();
        return this;
      }

      private int customerId_ ;
      /**
       * <code>int32 customer_id = 3;</code>
       * @return The customerId.
       */
      public int getCustomerId() {
        return customerId_;
      }
      /**
       * <code>int32 customer_id = 3;</code>
       * @param value The customerId to set.
       * @return This builder for chaining.
       */
      public Builder setCustomerId(int value) {
        
        customerId_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int32 customer_id = 3;</code>
       * @return This builder for chaining.
       */
      public Builder clearCustomerId() {
        
        customerId_ = 0;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:model.Account)
    }

    // @@protoc_insertion_point(class_scope:model.Account)
    private static final pl.piomin.services.grpc.account.model.AccountProto.Account DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new pl.piomin.services.grpc.account.model.AccountProto.Account();
    }

    public static pl.piomin.services.grpc.account.model.AccountProto.Account getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Account>
        PARSER = new com.google.protobuf.AbstractParser<Account>() {
      @java.lang.Override
      public Account parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new Account(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Account> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Account> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public pl.piomin.services.grpc.account.model.AccountProto.Account getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_model_Accounts_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_model_Accounts_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_model_Account_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_model_Account_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\rstudent.proto\022\005model\032\033google/protobuf/" +
      "empty.proto\032\036google/protobuf/wrappers.pr" +
      "oto\"+\n\010Accounts\022\037\n\007account\030\001 \003(\0132\016.model" +
      ".Account\":\n\007Account\022\n\n\002id\030\001 \001(\005\022\016\n\006numbe" +
      "r\030\002 \001(\t\022\023\n\013customer_id\030\003 \001(\0052\371\001\n\017Account" +
      "sService\022>\n\014FindByNumber\022\034.google.protob" +
      "uf.StringValue\032\016.model.Account\"\000\022@\n\016Find" +
      "ByCustomer\022\033.google.protobuf.Int32Value\032" +
      "\017.model.Accounts\"\000\0224\n\007FindAll\022\026.google.p" +
      "rotobuf.Empty\032\017.model.Accounts\"\000\022.\n\nAddA" +
      "ccount\022\016.model.Account\032\016.model.Account\"\000" +
      "B5\n%pl.piomin.services.grpc.account.mode" +
      "lB\014AccountProtob\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          com.google.protobuf.EmptyProto.getDescriptor(),
          com.google.protobuf.WrappersProto.getDescriptor(),
        });
    internal_static_model_Accounts_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_model_Accounts_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_model_Accounts_descriptor,
        new java.lang.String[] { "Account", });
    internal_static_model_Account_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_model_Account_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_model_Account_descriptor,
        new java.lang.String[] { "Id", "Number", "CustomerId", });
    com.google.protobuf.EmptyProto.getDescriptor();
    com.google.protobuf.WrappersProto.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
